Consent
Revoke a subject consent and close its partner session records.
DELETE
Contains pseudonymous personal data. Access is limited to the authenticated tenant and granted scope. A successful response confirms that associated runtime sessions were stopped.
HTTPBearerheader
AuthorizationBearer <token>subject_id*Subject IdFormat
uuidconsent_id*Consent IdFormat
uuidIdempotency-Key*Idempotency-KeyMatch
^[A-Za-z0-9._~-]+$Length
16 <= length <= 128Successful response
application/json- response
subject_id*Subject IdFormat
uuidconsent_id*Consent IdFormat
uuidstatus*Statuscurl -X DELETE 'https://example.com/v1/subjects/497f6eca-6276-4993-bfeb-53cbbbba6f08/consents/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: stringstringstri'Example Response
{ "subject_id": "80e197be-61ad-4068-b4ff-a483fb5c18f9", "consent_id": "b6c6f30d-b96b-4de6-8a03-238cde9dddba", "status": "revoked"}